Fixed #1707712: liberation-fonts.noarch should not Provides or Obsoletes liberation-narrow fonts. liberation-fonts.noarch should not Provides or Obsoletes liberation-narrow fonts

How to install

sudo dnf upgrade --advisory=FEDORA-2019-e569dfd0c5

This update has been submitted for testing by vishalvvr.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon atim provided feedback 2 years ago
karma
User Icon atim commented & provided feedback 2 years ago

Hmm after this update:

cannot install both liberation-fonts-1:2.00.5-1.fc30.noarch and liberation-fonts-1:2.00.5-3.fc30.noarch
  - cannot install the best update candidate for package liberation-narrow-fonts-1.07.6-1.fc30.noarch
  - problem with installed package liberation-fonts-1:2.00.5-3.fc30.noarch
User Icon imabug commented & provided feedback 2 years ago

getting this error when trying to upgrade

Problem: cannot install both liberation-fonts-1:2.00.5-1.fc30.noarch and liberation-fonts-1:2.00.5-3.fc30.noarch
 - cannot install the best update candidate for package liberation-narrow-fonts-1.07.6-1.fc30.noarch
 - cannot install the best update candidate for package liberation-fonts-1:2.00.5-3.fc30.noarch
User Icon kkofler commented & provided feedback 2 years ago

Well, that's a DNF bug: it still considers the old liberation-fonts package (2.00.5-1) for Obsoletes and complains that it cannot use it. Obsoletes in old versions of a package are supposed to be ignored (so that removing Obsoletes works reliably), this used to work. Something must have regressed in DNF. (Maybe this was changed due to Modularity?) Please file a bug against DNF.

But for now, this should not prevent you from upgrading. (It will just skip the packages it cannot handle.) So it is better than before where DNF refused to install liberation-narrow-fonts entirely.

User Icon kparal commented & provided feedback 2 years ago
karma

I used the font in LibreOffice Writer and saw no issues. Also I've seen no issues in my web browser (not sure how much it gets used there, though).

This update can be pushed to stable now if the maintainer wishes

2 years ago
User Icon pwalter commented & provided feedback 2 years ago
karma

Works

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
unspecified
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
BZ#1707712 liberation-fonts.noarch should not Provides or Obsoletes liberation-narrow fonts
0
0

Automated Test Results